Bug 195466 - [PATCH] multimedia/libvpx add armv6 support
Summary: [PATCH] multimedia/libvpx add armv6 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 10:43 UTC by mikael.urankar
Modified: 2014-12-10 15:55 UTC (History)
1 user (show)

See Also:
mikael.urankar: maintainer-feedback? (ashish)


Attachments
add armv6 support (1.63 KB, patch)
2014-11-28 10:43 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2014-11-28 10:43:10 UTC
Created attachment 149951 [details]
add armv6 support

Add support for armv6

To apply the patch:
cd /usr/ports/multimedia/libvpx ; patch < /path/to/patch

build log for armv6:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/libvpx-1.3.0.log
Comment 1 Bugzilla Automation freebsd_committer 2014-11-28 10:43:10 UTC
Auto-assigned to maintainer ashish@FreeBSD.org
Comment 2 Ashish SHUKLA freebsd_committer 2014-12-08 08:52:45 UTC
Hi,

Sorry for the delay in getting back on this.

Thanks for the fix, and the build log.

I'll need to test building this port before it could be committed. I've asked someone's help on this, as I don't have access to a ARM host.

I'll get back to you, if there any issues, otherwise will commit it.

Thanks,
Ashish
Comment 4 commit-hook freebsd_committer 2014-12-10 15:47:32 UTC
A commit references this bug:

Author: ashish
Date: Wed Dec 10 15:47:21 UTC 2014
New revision: 374472
URL: https://svnweb.freebsd.org/changeset/ports/374472

Log:
  - Add support for building on ARMv6 platforms

  Thanks to sbruno@ for testing the port build on ARMv6

  PR:		195466
  Submitted by:	mikael.urankar <mikael.urankar at gmail dot com>

Changes:
  head/multimedia/libvpx/Makefile
  head/multimedia/libvpx/files/extra-patch-build_make_Makefile
  head/multimedia/libvpx/files/patch-build_make_configure.sh
Comment 5 Ashish SHUKLA freebsd_committer 2014-12-10 15:55:53 UTC
Committed.

Thanks!